## ThunarView

ThunarView

## Functions

gboolean | thunar_view_get_loading ()
gboolean | thunar_view_get_show_hidden ()
void | thunar_view_set_show_hidden ()
ThunarZoomLevel | thunar_view_get_zoom_level ()
void | thunar_view_set_zoom_level ()
void | thunar_view_reset_zoom_level ()
void | thunar_view_reload ()
gboolean | thunar_view_get_visible_range ()
void | thunar_view_scroll_to_file ()
GList * | thunar_view_get_selected_files ()
void | thunar_view_set_selected_files ()

## Properties

gboolean | loading | Read
gboolean | show-hidden | Read / Write
ThunarZoomLevel | zoom-level | Read / Write

## Object Hierarchy

        GInterface
        ╰── ThunarView

## Description

## Functions

### thunar_view_get_loading ()

    gboolean
    thunar_view_get_loading (ThunarView *view);

Tells whether the given ThunarView is currently loading or layouting its contents.

#### Parameters

view | a ThunarView instance. |

#### Returns

`TRUE` if `view` is currently being loaded, else `FALSE`.

### thunar_view_get_show_hidden ()

    gboolean
    thunar_view_get_show_hidden (ThunarView *view);

Returns `TRUE` if hidden and backup files are shown in `view` . Else `FALSE` is returned.

#### Parameters

view | a ThunarView instance. |

#### Returns

whether `view` displays hidden files.

### thunar_view_set_show_hidden ()

    void
    thunar_view_set_show_hidden (ThunarView *view,
                                 gboolean show_hidden);

If `show_hidden` is `TRUE` then `view` will display hidden and backup files, else those files will be hidden from the user interface.

#### Parameters

view | a ThunarView instance. |
show_hidden | &TRUE to display hidden files, else `FALSE`. |

### thunar_view_get_zoom_level ()

    ThunarZoomLevel
    thunar_view_get_zoom_level (ThunarView *view);

Returns the ThunarZoomLevel currently used for the `view` .

#### Parameters

view | a ThunarView instance. |

#### Returns

the ThunarZoomLevel currently used for the `view` .

### thunar_view_set_zoom_level ()

    void
    thunar_view_set_zoom_level (ThunarView *view,
                                ThunarZoomLevel zoom_level);

Sets the zoom level used for `view` to `zoom_level` .

#### Parameters

view | a ThunarView instance. |
zoom_level | the new ThunarZoomLevel for `view` . |

### thunar_view_reset_zoom_level ()

    void
    thunar_view_reset_zoom_level (ThunarView *view);

Resets the zoom level of `view` to the default ThunarZoomLevel for `view` .

#### Parameters

view | a ThunarView instance. |

### thunar_view_reload ()

    void
    thunar_view_reload (ThunarView *view,
                        gboolean reload_info);

Tells `view` to reread the currently displayed folder contents from the underlying media. If reload_info is TRUE, it will reload information for all files too.

#### Parameters

view | a ThunarView instance. |
reload_info | whether to reload file info for all files too |

### thunar_view_get_visible_range ()

    gboolean
    thunar_view_get_visible_range (ThunarView *view,
                                   ThunarFile **start_file,
                                   ThunarFile **end_file);

Sets `start_file` and `end_file` to be the first and last visible ThunarFile.

The files should be freed with `g_object_unref()` when no longer needed.

#### Parameters

view | a ThunarView instance. |
start_file | return location for start of region, or `NULL`. |
end_file | return location for end of region, or `NULL`. |

#### Returns

`TRUE` if valid files were placed in `start_file` and `end_file` .

### thunar_view_scroll_to_file ()

    void
    thunar_view_scroll_to_file (ThunarView *view,
                                ThunarFile *file,
                                gboolean select_file,
                                gboolean use_align,
                                gfloat row_align,
                                gfloat col_align);

Tells `view` to scroll to the `file` . If `view` is currently loading, it'll remember to scroll to `file` later when the contents are loaded.

#### Parameters

view | a ThunarView instance. |
file | the ThunarFile to scroll to. |
select_file | `TRUE` to also select the `file` in the `view` . |
use_align | whether to use alignment arguments. |
row_align | the vertical alignment. |
col_align | the horizontal alignment. |

### thunar_view_get_selected_files ()

    GList *
    thunar_view_get_selected_files (ThunarView *view);

### thunar_view_set_selected_files ()

    void
    thunar_view_set_selected_files (ThunarView *view,
                                    GList *path_list);

## Property Details

### The `“loading”` property

      “loading”                  gboolean

Indicates whether the given ThunarView is currently loading or layouting its contents. Implementations should invoke ``g_object_notify()`` on this property whenever they start to load the contents and then once they have finished loading.

Other modules can use this property to display some kind of user visible notification about the loading state, e.g. a progress bar or an animated image.

Owner: ThunarView

Flags: Read

Default value: FALSE

### The `“show-hidden”` property

      “show-hidden”              gboolean

Tells whether to display hidden and backup files in the ThunarView or whether to hide them.

Owner: ThunarView

Flags: Read / Write

Default value: FALSE

### The `“zoom-level”` property

      “zoom-level”               ThunarZoomLevel

The ThunarZoomLevel at which the items within this ThunarView should be displayed.

Owner: ThunarView

Flags: Read / Write

Default value: THUNAR_ZOOM_LEVEL_100_PERCENT